Subject: Re: [nemo] WG: [mobile-ip] new I-D on HA filtering

From: Ryuji Wakikawa<[email-masked]>
Date: Tue, 22 Jul 2003 19:18:06 +0900

Hello,

At Wed, 23 Jul 2003 15:11:36 +0200,
Thomas Noel wrote:
> 
> Hi Koojana, All,
> > 
> > Perhaps, we should initiate a discussion in mobile-ip or nemo WG to discuss
> > 
> > about this topic.
> > 
> I Agree with you, we have now several drafts and it will be interesting
> to converge towards an unique solution to solve this issue.

Can we discuss filters/policies and multipleCoAs registration separately?

Most of draft needs multiple CoAs registrations, but some of systems
do not want to support filters/policies on the IP layer. 

Our draft(multiplecoa) deals with only multiple CoAs registration.

> Perhaps, Nemo is the ideal WG to discuss about this topic.

It might be better to keep discussing it in MIP6/MIPSHOP WG, because
NEMO is based on Mobile IPv6. Once MIP supports multiplecoa, filters
whatever, NEMO can have the same feature.

If NEMO still needs further operations, then NEMO becomes the ideal WG.

best regards,
ryuji

> 
> Regards
> 
> Thomas Noel
> LSIIT
> 
> > 
> > Kind regards
> > 
> > Koojana
> > 
> > -----Ursprüngliche Nachricht-----
> > Von: [email-masked]
> > [mailto:[email-masked]] Im Auftrag von Nicolas
> > Montavont
> > Gesendet: Mittwoch, 23. Juli 2003 09:55
> > An: mobileip
> > Betreff: [mobile-ip] new I-D on HA filtering 
> > 
> > Hi all,
> > 
> > We just submitted a new I-D on Home Agent Filtering for Mobile IPv6, 
> > available at
> > 
> > http://www-r2.u-strasbg.fr/~montavont/draft-montavont-mobileip-ha-filtering-
> > v6-00.txt
> > 
> > It will be soon available in the IETF repertories.
> > 
> > This I-D proposes a solution for the MN to set filters on its home 
> > agent. Filters can be used to spread flows on different CoAs (and 
> > potentially several network interfaces), and to forbid the redirection 
> > of certain flows from the home agent.
> > 
> > Here is the abstract:
> > 
> > Mobile IPv6 allows a MN to receive incoming packets to its home address 
> > while it is away from its home network. In a heterogeneous environment, 
> > a MN may have multiple interfaces, each with different characteristics. 
> > While a MN is in a visited network, due to the performance of the 
> > interfaces or to the user preferences, the MN may want to forbid the 
> > redirection from its home agent of a kind of flow, or to indicate a 
> > target CoA for a kind of flow.
> > In this draft, we propose new mobility options that allow a MN to 
> > advertise filters to its home agent. A filter is associated with a CoA, 
> > in such a way that the MN can register several CoA and can register 
> > several filters for one CoA. A filter may indicate that a flow which map 
> > to a filter must be dropped or must be redirected to the indicated CoA.
> > 
> > Regards,
> > Nicolas
> > 
> > 
> > 
> 
> 
>

---

From: "Koojana Kuladinithi" <[email-masked]>
Date: Wed, 23 Jul 2003 16:24:35 +0200

Hi Ryuji and all

> Von: [email-masked] [mailto:owner-mobile-
> [email-masked]] Im Auftrag von Ryuji Wakikawa
> Gesendet: Dienstag, 22. Juli 2003 12:18
> An: [email-masked]
> Cc: [email-masked]; [email-masked]; mobile-
> [email-masked]
> Betreff: Re: [nemo] WG: [mobile-ip] new I-D on HA filtering
> 
> Hello,
> 

IMHO, Multiple CoAs and Flow Distributions should be discussed together. The

reason is because once multiple CoAs are available, the natural requirement 
that follows would be to use these points of attachments efficiently.

> whatever, NEMO can have the same feature.

As Hesham suggested, I too believe that mip6 or mipshop would be the best 
place to discuss as it should be a extension to the MIPv6 base
specification, which is not considered simultaneous bindings as in the MIPv4
RFC.

Kind Regards
Koojana

---

From: Ryuji Wakikawa<[email-masked]>
Date: Wed, 23 Jul 2003 23:34:44 +0900

Hi

> that follows would be to use these points of attachments efficiently.

I understand there is a way to manage filters at the IP level, but
there are also other ways to manage them. If a user wants to manage
filters information statically, does she/he still need to support
filters management at IP layer? 

regards
ryuji

---

From: Nicolas Montavont <[email-masked]>
Date: Wed, 23 Jul 2003 16:45:37 +0200

Hi Ryuji,

Ryuji Wakikawa wrote:

>>>>>Perhaps, we should initiate a discussion in mobile-ip or nemo WG to
>>>>>          
>>>>>
>>>discuss
>>>      
>>>
>>>>>about this topic.
>>>>>
>>>>>          
>>>>>
What way do you think to manage filters ? If you perform it at uppers 
layers, you have to treat the packets by the lower layers, haven't you ?

Performing filtering at the IP layer in MIPv6 allows a MN to request 
your home agent to not even forward potential packets that may reach 
your home network (rather than load your interface with traffic you 
don't want to).

Or for the same CN, to send two flows to different CoAs associated with 
the same home address.

regards,
Nicolas

>>>>>http://www-r2.u-strasbg.fr/~montavont/draft-montavont-mobileip-ha-
>>>>>          
>>>>>
>>>filtering-
>>>      
>>>
>>>>>v6-00.txt
>>>>>
>>>>>Mobile IPv6 allows a MN to receive incoming packets to its home
>>>>>          
>>>>>
>>>address
>>>      
>>>
>>>>>while it is away from its home network. In a heterogeneous
>>>>>          
>>>>>
>>>environment,
>>>      
>>>
>>>>>a MN may have multiple interfaces, each with different
>>>>>          
>>>>>
>>>characteristics.
>>>      
>>>
>>>>>advertise filters to its home agent. A filter is associated with a
>>>>>          
>>>>>
>>>CoA,
>>>      
>>>
>>>>>several filters for one CoA. A filter may indicate that a flow which
>>>>>          
>>>>>
>>>map
>>>      
>>>
>>>>>to a filter must be dropped or must be redirected to the indicated
>>>>>          
>>>>>
>>>CoA.
>>>      
>>>
>>>>>Regards,
>>>>>Nicolas
>>>>>
>>>>>
>>>>>
>>>>>          
>>>>>
>>>>
>>>>        
>>>>
>
>  
>

---

From: Ryuji Wakikawa <[email-masked]>
Date: Thu, 24 Jul 2003 01:04:58 +0900

Hello Nicolas

> Hi Ryuji,
> 
> Ryuji Wakikawa wrote:
> 
> >Hi
> >
> >  
> >
> >>>-----Urspr|ngliche Nachricht-----

Mobile IP need to parse packets to decide the outgoing interface somehow.
MIP accesses some filters database to decide an appropriate interface or
CoA, but "management of the database is not MIP oriented operations." 

In your model, application or users configures filters to MobileIPv6 and
MIP notifies the filters to HA and CN. 

I don't want to carry filters only by MobileIPv6. 
For example, user can configure filters to the database manually before
communication. or an application may configure these by itself. 
If each interfaces is highly abstracted, anybody can configure 
filters to the database. 

If you need an example, I will explain more.

> Or for the same CN, to send two flows to different CoAs associated with 

I think my wording is incorrect. sorry.
I wanted to say "I don't like carrying filters information by using MIP
signaling only".

I am OK if there is a way to carry filters by MIP signaling, but we
should allow to support the other ways. This is why I asked you to
separate discussion.  I never ask you to stop discussing filter stuff:-)

regards,
ryuji

> >>>>>-----Urspr|ngliche Nachricht-----

regards,
ryuji

---

From: Thomas Noel <[email-masked]>
Date: Wed, 23 Jul 2003 19:04:06 +0200

Hi Ryuji and all,

> If each interfaces is highly abstracted, anybody can configure 

For this reason we are focused rather in how the filters are sent by the MN
and managed by the HA.
 
> separate discussion.  I never ask you to stop discussing filter stuff:-)

What do you think by other ways ? Could you give us an example of other way ?

regards,

Thomas

---

From: "Koojana Kuladinithi" <[email-masked]>
Date: Thu, 24 Jul 2003 10:15:43 +0200

Hi Ryuji, Thomas and all

> Von: Thomas Noel [mailto:[email-masked]]
> Gesendet: Mittwoch, 23. Juli 2003 19:04
> An: Ryuji Wakikawa
> Cc: Nicolas Montavont; [email-masked]; [email-masked];
> [email-masked]
> Betreff: Re: AW: [nemo] WG: [mobile-ip] new I-D on HA filtering
> 
> Hi Ryuji and all,
> 
> 

I think since MIP is a network layer solution for mobility, shouldn't
multiple points of attachment & flow distribution also reside at this
level?. 

What we propose in our draft is a simple extension to the data structures
held for binding to hold flow distribution information. No such "database"
is required as Ryuji mentioned.

> What do you think by other ways ? Could you give us an example of other

I too would like to know the other ways that Ryuji talks about.
 
Regards,

Koojana

---

From: Ryuji Wakikawa<[email-masked]>
Date: Thu, 24 Jul 2003 04:51:44 +0900

> What do you think by other ways ? Could you give us an example of other way ?

these are just example and are implementation/operation matter though.
I personally think there is nothing we should deal with at IETF.

Static Configuration:
MN always wants to receives VoIP packets from 802.11b, MN can ask HA to
configures this filter statically. 
example: MN and HA shared meaning of IFID.  HA knows IFID1 is assigned
to GPRS and IFID2 is for 802.11b. so administrator of HA just
configure VoIP and IFID2 as a filter.

Policy Daemon (filter daemon):
Policy daemon is run on HA and MN/MR. MN's daemon exchanges
information of filters which associate IFID and flow type with HA's
daemon. 

regards,
ryuji

---

From: Thomas Noel <[email-masked]>
Date: Fri, 25 Jul 2003 08:54:32 +0200

Hi Ryuji,

> information of filters which associate IFID and flow type with HA's

I think we need a standard solution to set filters on a HA. 
A mobile node can use several providers (multiple interfaces) and
several HAs. If each provider uses its own solution to set filters on HA, a 
mobile node will need a lot of ressources to support them.

Thomas

---

From: Ryuji Wakikawa<[email-masked]>
Date: Thu, 24 Jul 2003 05:44:21 +0900

Hello Koojana,

At Thu, 24 Jul 2003 10:15:43 +0200,
> multiple points of attachment & flow distribution also reside at this

If we include flow distribution in multiple CoA support,
everybody must support this MIP oriented flow distribution. Why can't
we allow to use existing approaches such as COPS, PIB, etc.  Specially
mobile _ROUTER_ may want to use these. 

It is not good idea to force users to use only a MIP specific solution.

> is required as Ryuji mentioned.

Database is optional. It is required only when MN needs to divide
exact flow to multiple IFs. We did not explain anything about database
in the spec.  see my draft again.

We target on not only flow separation, but also redundancy, fault
tolerance. There are some cases when MN registers multiple
bindings as a backup binding.  In these case, MN doesn't need to have
any filters.

regards,
ryuji

---

From: Thomas Noel <[email-masked]>
Date: Wed, 30 Jul 2003 08:44:46 +0200

Hi Ken,
> 
> 
> I think we discuss filters/policies and multiple CoAs registration
> separately. Because they are independent and separate discussion is
> more simple.
> 
> The following is example for independency.
> 1. When CoAs are not changed but filters/policies need to be changed,
>    MN want to change filters/policies only.
Agreed
> 
> It is ok for me that multiple CoA registration objects and
> filters/policies objects are transfered in the same packet, 
> because it is efficient way.
> But a discussion of multiple CoAs and filters/policies needs to be
> separate.
> 
> What do you think?

Filters/policies is also a mechanism to redirect flows from a HA to 
several CoA (or interfaces) of a MN . It seems to me that some people 
think that drafts on filters/policies are solutions to realize a 
firewall on a HA. Effectively, filters/policies can also stop the 
encapsulation of packets by the HA, but this solution can be temporary 
because a MN may have not enough resources on one of its interfaces.

Perhaps, it will be interesting to define clearly what issues we would 
like to solve, and which solutions we propose to solve them.

I think filter is a mechanism to redirect and/or to stop (temporarily or 
not) packets from a HA to a MN.

Regards,

Thomas

---

From: Ken Nagami <[email-masked]>
Date: Thu, 31 Jul 2003 10:09:36 +0900

Hi Koojana, Thomas, Soliman and all

What do you think?

Regards, 

Ken Nagami